Organizations
Execute a cross-organization user transfer (SuperAdmin only)
Kicks off an asynchronous transfer of a user (and their owned data: contacts, conversations, automations, workflows, webchat configs, acquired items, email/calendar/sheets integrations, voice numbers, etc.) into a target organization. Requires a fresh scanVersion from /transfer/scan and a reassigneeUserId that owns whatever cannot be moved. SUPERADMIN only.
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/organizations/transfer/execute" \ -H "Content-Type: application/json" \ -d '{ "scanVersion": "scan-2026-05-18T14:30:00Z-abc123", "userId": "5f7b1c2e8a1d4e0012c3b4a6", "targetOrganizationId": "5f7b1c2e8a1d4e0012c3b401", "targetDepartmentId": "5f7b1c2e8a1d4e0012c3b510", "newAccessRole": "SALES_REP", "reassigneeUserId": "5f7b1c2e8a1d4e0012c3b4a8", "agentRemaps": [ { "fromAgentId": "5f7b1c2e8a1d4e0012c3b610", "toAgentId": "5f7b1c2e8a1d4e0012c3b611" } ] }'{ "transferId": "5f7b1c2e8a1d4e0012c3b900", "status": "in_progress"}